> For clean Markdown of any page, append .md to the page URL. > For a complete documentation index, see https://ref.scoutos.com/api-sdk/endpoints/copilots/list/llms.txt. > For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://ref.scoutos.com/_mcp/server. # List all copilots GET https://api.scoutos.com/v2/copilots List all copilots in the organization Reference: https://ref.scoutos.com/api-sdk/endpoints/copilots/list ## Authentication - `Authorization` header (bearer token, required) — Bearer authentication of the form `Bearer `, where token is your auth token. ## Request ### Query parameters - `sort` (string, optional, nullable) — Field to sort by - `direction` (string, optional, nullable) — Sort in ascending or descending order - `start_at` (string, optional, nullable) — created_at to start at - `limit` (integer, optional, nullable, default: 12) — Limit of records to return - `query` (string, optional, nullable) — Search query ## Response ### 200 Successful Response - `data` (list of Copilot, required) - `has_more` (boolean, required) - `next_cursor` (datetime, optional, nullable) ## Errors ### 422 Unprocessable Entity Error Validation Error - `detail` (list of ValidationError, optional) ## Types ### Copilot - `copilot_config` (CopilotConfig, required) - `last_updated_at` (datetime, required) - `created_at` (datetime, required) - `created_by` (Identity, required) - `last_updated_by` (Identity, required) - `revision_id` (string, required) - `copilot_id` (string, required) - `is_draft` (boolean, optional, default: false) ### ValidationError - `loc` (list of ValidationErrorLocItems, required) - `msg` (string, required) - `type` (string, required) ### CopilotConfig - `workflow_id` (string, optional, nullable) - `img_url` (string, optional, nullable, default: https://cdn.sanity.io/images/0cfe0chk/production/632552466286c4255bff73da9eb7b76b32411771-24x24.svg) - `display_name` (string, optional, nullable, default: Copilot) - `mode` (enum, optional, default: light) - Allowed values: `light`, `dark` - `code_theme` (enum, optional, default: dark) - Allowed values: `light`, `dark`, `none` - `colors` (map from string to string, optional) - `fab` (map from string to CopilotConfigFab, optional) - `loading_text` (string, optional, nullable, default: Thinking...) - `message_placeholder` (string, optional, nullable, default: Ask anything...) - `initial_activity` (list of any, optional) - `allowed_origins` (string, optional, nullable, default: ) - `powered_by` (string, optional, nullable, default: ) ### Identity - `type` (enum, required) - Allowed values: `user`, `api_key`, `system` - `details` (IdentityDetails, required) ### ValidationErrorLocItems ### CopilotConfigFab ### IdentityDetails ### UserIdentity - `user_id` (string, required) - `org_id` (string, required) - `scout_organization_id` (string, required) - `email` (UserIdentityEmail, required) ### ApiKeyIdentity - `api_key` (ApiKeyIdentityApiKey, optional) ### UserIdentityEmail ### ApiKeyIdentityApiKey ## Examples **Response** ```json { "data": [ { "copilot_config": { "workflow_id": "wf_9a8b7c6d5e4f3g2h1i0j", "img_url": "https://cdn.sanity.io/images/0cfe0chk/production/632552466286c4255bff73da9eb7b76b32411771-24x24.svg", "display_name": "Scout AI Assistant", "mode": "light", "code_theme": "dark", "colors": { "primary": "#0052cc", "secondary": "#edf2ff", "accent": "#ff4081" }, "fab": { "icon": "chat", "size": 56 }, "loading_text": "Thinking...", "message_placeholder": "Ask me anything about your projects...", "initial_activity": [ { "type": "welcome_message", "content": "Hello! How can I assist you today?" } ], "allowed_origins": "https://app.scoutos.com", "powered_by": "ScoutOS AI" }, "last_updated_at": "2024-01-15T09:30:00Z", "created_at": "2023-12-01T08:15:00Z", "created_by": { "type": "user", "details": { "user_id": "user_1234567890", "org_id": "org_987654321", "scout_organization_id": "scout_org_001", "email": { "address": "jane.doe@scoutos.com", "verified": true } } }, "last_updated_by": { "type": "user", "details": { "user_id": "user_1234567890", "org_id": "org_987654321", "scout_organization_id": "scout_org_001", "email": { "address": "jane.doe@scoutos.com", "verified": true } } }, "revision_id": "rev_20240115_0930", "copilot_id": "copilot_001", "is_draft": false } ], "has_more": true, "next_cursor": "2024-01-15T09:30:00Z" } ``` **SDK Code** ```python import requests url = "https://api.scoutos.com/v2/copilots" headers = {"Authorization": "Bearer "} response = requests.get(url, headers=headers) print(response.json()) ``` ```typescript import { ScoutClient } from "scoutos"; const client = new ScoutClient({ apiKey: "YOUR_API_KEY" }); await client.copilots.list({ sort: "sort", direction: "direction", start_at: "start_at", limit: 1, query: "query" }); ``` ```go package main import ( "fmt" "net/http" "io" ) func main() { url := "https://api.scoutos.com/v2/copilots" req, _ := http.NewRequest("GET", url, nil) req.Header.Add("Authorization", "Bearer ") res, _ := http.DefaultClient.Do(req) defer res.Body.Close() body, _ := io.ReadAll(res.Body) fmt.Println(res) fmt.Println(string(body)) } ``` ```ruby require 'uri' require 'net/http' url = URI("https://api.scoutos.com/v2/copilots") http = Net::HTTP.new(url.host, url.port) http.use_ssl = true request = Net::HTTP::Get.new(url) request["Authorization"] = 'Bearer ' response = http.request(request) puts response.read_body ``` ```java import com.mashape.unirest.http.HttpResponse; import com.mashape.unirest.http.Unirest; HttpResponse response = Unirest.get("https://api.scoutos.com/v2/copilots") .header("Authorization", "Bearer ") .asString(); ``` ```php request('GET', 'https://api.scoutos.com/v2/copilots', [ 'headers' => [ 'Authorization' => 'Bearer ', ], ]); echo $response->getBody(); ``` ```csharp using RestSharp; var client = new RestClient("https://api.scoutos.com/v2/copilots"); var request = new RestRequest(Method.GET); request.AddHeader("Authorization", "Bearer "); IRestResponse response = client.Execute(request); ``` ```swift import Foundation let headers = ["Authorization": "Bearer "] let request = NSMutableURLRequest(url: NSURL(string: "https://api.scoutos.com/v2/copilots")! as URL, cachePolicy: .useProtocolCachePolicy, timeoutInterval: 10.0) request.httpMethod = "GET" request.allHTTPHeaderFields = headers let session = URLSession.shared let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in if (error != nil) { print(error as Any) } else { let httpResponse = response as? HTTPURLResponse print(httpResponse) } }) dataTask.resume() ```